Problème de conversion vers excel [Fermé]

Signaler
Messages postés
3
Date d'inscription
samedi 13 décembre 2014
Statut
Membre
Dernière intervention
30 avril 2015
-
Bonjour,
quand je travail sur VBA AutoCAD, j'ai fait une comptage d'element .
mon problème est comment envoyez cette resultas vers excel .
voila mon code VBA
-----------------------------------------------------------------------------------------------
Public Sub comptages()
Dim object As AcadEntity
Dim centre As Variant
Dim pt(0 To 2) As Double
cercle = 0: scercle = 0: pcercle = 0: polyline = 0: spolyline = 0: arc = 0: sarc = 0: elipsse = 0: selipsse = 0: autre = 0: sautre = 0
For Each object In ThisDrawing.ModelSpace
Select Case object.ObjectName
Case "AcDbCircle"
centre = object.Centroid
pt(0) = centre(0)
pt(1) = centre(1)
ThisDrawing.ModelSpace.AddText Format(object.Area, "# ###.00") & "m²", pt, 25
cercle = cercle + 1
scercle = scercle + object.Area
Case "AcDbArc"
arc = arc + 1
sarc = sarc + object.Area
Case "AcDbEllipse"
ellipse = ellipse + 1
sellipse = sellipse + object.Area
Case "AcDbPolyline"
polyline = polyline + 1
spolyline = spolyline + object.Area
Case Else
autre = autre + 1
sautre = sautre + object.Area
End Select

Next
MsgBox "vous avez" & autre + arc + cercle + polyline + elipse & "objets" & Chr(13) & cercle & "cercles" & Chr(13) & "surface des cercles est " & "m² cercles" & Chr(13) _
& pcercle & "ml cercles" & Chr(13) & arc & "arcs" & Chr(13) & sarc & "m² carcs" & Chr(13) & ellipse & "ellipses" & Chr(13) & sellipse & "m² cellipse" & Chr(13) & polyline & "polylines" & Chr(13) & spolyline & "m² polylines" & Chr(13) & autre & "autres objets"
End Sub
---------------------------------------------------------------------------------------------------------
merci

cordialement